Package org.apache.tools.ant.filters

# Class TokenFilter.FileTokenizer

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.util.FileTokenizer
org.apache.tools.ant.filters.TokenFilter.FileTokenizer

All Implemented Interfaces:
  `Cloneable`, `Tokenizer`

Enclosing class:
  `TokenFilter`

public static class TokenFilter.FileTokenizer extends FileTokenizer
class to read the complete input into a string

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileTokenizer()`

- ## Method Summary

  ### Methods inherited from class org.apache.tools.ant.util.FileTokenizer

  `getPostToken, getToken`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileTokenizer

    public FileTokenizer()